
QGIS Application - Bug report #5640

QGIS says "Spatialite 3.0.1", but Functions that are new in Spatialite 3 not available

2012-05-25 05:48 AM - Brian Freed

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15203

Description

I have some triggers using ST_Line_Locate_Point and ST_Line_Interpolate_Point.

It works great when I manually do any insertions in Spatialite-GUI, but QGIS refuses to write to the layer.  I installed the qgis-dev build,

which from the Help menu claims Spatialite 3.0.1,

but when it refuses to write, I get this message in the Log Window:

SQLite error: no such function: ST_Line_Locate_Point

SQL: INSERT INTO "Sections"("ID","Geometry","ConnectionID","Primary") VALUES (NULL,GeomFromWKB(?, 4326),?,?)

(tangentially related issue: once this happens, QGIS doesn't release its lock on the database even if I leave edit mode and cancel

changes - have to shut QGIS down)

Latest test: Windows 7 64-bit, QGIS version 1.8.0-Lisboa rev a442b89

Attached: Script to make a lines layer "Connections" and a points layer "Sections", with the triggers to force Sections to snap to

Connections.

Also .sqlite & .qgs files with the script already run and a few lines drawn.

History

#1 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2014-01-30 01:06 PM - Brian Freed

- Status changed from Open to Closed

In QGIS 2.0, Spatialite version 4 is working as expected.

Files

QGIS_bug_test.sql 1.93 KB 2012-05-25 Brian Freed

QGIS_bug_test.qgs 15.5 KB 2012-05-25 Brian Freed

QGIS_bug_test.sqlite 3.59 MB 2012-05-25 Brian Freed
